iproute2 (6.16.0-1ubuntu2.2) questing; urgency=medium

  * Modify tc/tbf and tc/htb to allow 64 bit burst parameter (LP: #2147525)
    - /d/p/lp2147525-1-tc-tbf-enable-64-bit-burst.patch
    - /d/p/lp2147525-2-tc-htb-enable-64-bit-burst.patch

 -- Ioana Lazea <ioana.lazea@canonical.com>  Fri, 10 Apr 2026 11:00:53 +0300

iproute2 (6.16.0-1ubuntu2.1) questing; urgency=medium

  * Modify tc police to permit burst sizes up greater than 4GB (LP: #2125448)
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch

 -- Jorge Merlino <jorge.merlino@canonical.com>  Wed, 05 Nov 2025 05:24:21 -0300

iproute2 (6.16.0-1ubuntu2) questing; urgency=medium

  * patches: Sync UAPI if_link.h with Linux 6.17, and drop the enum value
    for IFLA_VXLAN_FAN_MAP (LP: #2124257)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 30 Sep 2025 12:41:45 +0200

iproute2 (6.16.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu FAN support

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 27 Aug 2025 15:52:29 +0200

iproute2 (6.16.0-1) unstable; urgency=medium

  [ Atila KOÇ ]
  * Updated Turkish debconf translation and copyright information.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.16.0'

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:30:18 +0100

iproute2 (6.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.15.0'
    (Closes: #1106321)
  * Drop all backported patches, merged upstream
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Tue, 27 May 2025 00:16:26 +0100

iproute2 (6.14.0-3) unstable; urgency=medium

  * autopkgtest: remove build-essential and dpkg-dev deps, add gcc
    (Closes: #1100113)
  * autopkgtest: add hint-testsuite-triggers for kernel and compiler
  * Fix Forwarded metadata field in backported patches
  * Backport patch to fix null pointer dereference

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Apr 2025 12:15:56 +0100

iproute2 (6.14.0-2) unstable; urgency=medium

  * Backport patches to fix color output with dark backgrounds (Closes:
    #1088739)

 -- Luca Boccassi <bluca@debian.org>  Sun, 06 Apr 2025 18:26:52 +0100

iproute2 (6.14.0-1ubuntu3) questing; urgency=medium

  * Do not use stdout to print info about default fan map usage (LP: #2115790)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Jul 2025 09:57:59 +0200

iproute2 (6.14.0-1ubuntu2) questing; urgency=medium

  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 27 Jun 2025 15:33:43 +0200

iproute2 (6.14.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ubuntu Fan Support
  * FAN: Bump IFLA_VXLAN_FAN_MAP to match the kernel. (LP: #2105484)

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Tue, 25 Mar 2025 15:20:15 +0000

iproute2 (6.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.14.0'
  * Backport patches to support NO_COLOR env var from upstream
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Mar 2025 10:13:53 +0000

iproute2 (6.13.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 23:02:00 -0600

iproute2 (6.13.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.13.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Jan 2025 11:03:54 +0000

iproute2 (6.12.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update translations

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.12.0'

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Nov 2024 14:16:21 +0000

iproute2 (6.11.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.11.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Oct 2024 15:16:31 +0100

iproute2 (6.10.0-2ubuntu1) oracular; urgency=medium

  * Reintroduce Ubuntu Fan Support (LP: #2064508)

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 10 Oct 2024 14:19:10 +0100

iproute2 (6.10.0-2) unstable; urgency=medium

  * Team upload
  * Revert "Drop legacy /usr/sbin/ip symlink", as many packages still depend
    on /sbin/ip or /usr/sbin/ip

 -- Ben Hutchings <benh@debian.org>  Thu, 22 Aug 2024 01:41:38 +0200

iproute2 (6.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.10.0'
  * Drop legacy /usr/sbin/ip symlink (Closes: #1064795)

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jul 2024 10:35:37 +0100

iproute2 (6.9.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/6.9.0'
  * Enable output with colors on terminals

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 May 2024 10:30:39 +0100

iproute2 (6.8.0-1) unstable; urgency=medium

  [ Ceppo ]
  * Update Italian po-debconf translation (Closes: #1063002)

  [ Luca Boccassi ]
  * Add build dependency on libnsl-dev (Closes: #1065214)
  * Switch to pkgconf
  * Update upstream source from tag 'upstream/6.8.0'
  * Drop 0002-ss-show-extra-info-when-processes-is-not-used.patch, merged
    upstream
  * Drop iproute2-doc package
  * Drop tc/m_xt.so and tc/m_ipt.so, removed upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Mar 2024 14:02:38 +0000

iproute2 (6.7.0-2) unstable; urgency=medium

  * Backport fix for 'ss' output

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Jan 2024 12:24:29 +0000

iproute2 (6.7.0-1) unstable; urgency=medium

  * Add Italian debconf translation (Closes: #1056582)
  * Update upstream source from tag 'upstream/6.7.0'
  * Bump copyright year ranges in d/copyright
  * Drop 0002-Revert-Makefile-ensure-CONF_USR_DIR-honours-the-libd.patch,
    merged upstream
  * Default config files moved from /usr/lib to /usr/share

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Jan 2024 21:47:59 +0000

iproute2 (6.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.6.0'
  * Backport patch to fix configuration installation
  * Remove handling of qt_atm.so, dropped upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 Nov 2023 22:46:20 +0000

iproute2 (6.5.0-5) unstable; urgency=medium

  * Use dh-sequence-movetousr

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 Oct 2023 15:24:01 +0100

iproute2 (6.5.0-4) unstable; urgency=medium

  * postinst: handle legacy config files only when upgrading from previous
    versions that shipped them
  * postinst: ensure that locally modified legacy config files are
    preserved as overrides on upgrade (Closes: #1051577)
  * Note configuration files location changes in NEWS

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Sep 2023 18:58:51 +0100

iproute2 (6.5.0-3) unstable; urgency=medium

  * Remove further leftovers as part of upstream's move of config to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Sep 2023 09:42:12 +0100

iproute2 (6.5.0-2) unstable; urgency=medium

  * Add maintscript to remove conffiles that upstream has moved to /usr
    (Closes: #1051577)

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Sep 2023 21:28:28 +0100

iproute2 (6.5.0-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use wildcard for Lintian overrides

  [ Peter Kvillegård ]
  * Add Swedish translation of debconf messages (Closes: #1050442)

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/6.5.0'
  * Use cap_bpf instead of cap_sys_admin for ip vrf-exec
  * Package-provided config files are now shipped in /usr/iproute2 instead
    of /etc/iproute2

 -- Luca Boccassi <bluca@debian.org>  Sat, 09 Sep 2023 16:32:54 +0100

iproute2 (6.4.0-1) unstable; urgency=medium

  * Fix patch header Forwarded field
  * Enable ELF metadata stamping
  * Update upstream source from tag 'upstream/6.4.0'
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 30 Jun 2023 12:16:40 +0100

iproute2 (6.3.0-1) unstable; urgency=medium

  * Drop obsolete conflicts/replaces
  * Update upstream source from tag 'upstream/6.3.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jun 2023 23:49:37 +0100

iproute2 (6.1.0-3) unstable; urgency=medium

  * Ensure 'ip mo' resolves to 'ip monitor' (Closes: #1036534)

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 May 2023 14:19:52 +0100

iproute2 (6.1.0-2) unstable; urgency=medium

  * Add Romanian language translation for debconf (Closes: #1031917)
  * Bump Standards-Version to 4.6.2, no changes
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Feb 2023 19:46:35 +0000

iproute2 (6.1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.1.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 15:17:20 +0000

iproute2 (6.0.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.0.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Oct 2022 17:14:47 +0100

iproute2 (5.19.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.19.0'
  * Refresh patch for 5.19
  * Update Lintian overrides for new syntax

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Aug 2022 13:26:05 +0100

iproute2 (5.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.18.0'
  * Bump Standards-Version to 4.6.1, no changes
  * Update Lintian overrides for new version

 -- Luca Boccassi <bluca@debian.org>  Wed, 08 Jun 2022 14:47:01 +0100

iproute2 (5.17.0-2) unstable; urgency=medium

  * d/rules: use execute_after instead of override
  * Switch main branch to debian/sid
  * Remove outdated README.source
  * Move maintainership to Debian Kernel Team
  * Drop unneeded Lintian override
  * Override Lintian warning about missing upstream bug tracking metadata
  * iproute2-doc: install examples

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Apr 2022 22:10:16 +0200

iproute2 (5.17.0-1) unstable; urgency=medium

  * Fix Lintian warnings regarding d/u/metadata.
  * Update upstream source from tag 'upstream/5.17.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Mar 2022 10:48:29 +0000

iproute2 (5.16.0-2) unstable; urgency=medium

  * Drop manual /usr/lib/tc/m_ipt.so -> m_xt.so symlink (Closes: #1004059)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Jan 2022 10:29:38 +0000

iproute2 (5.16.0-1) unstable; urgency=medium

  * Drop 0004-sync-iptables-header.patch, not necessary anymore
  * Update upstream source from tag 'upstream/5.16.0'
  * Update iproute2.install: routef has been dropped
  * Bump d/copyright year range
  * Update Lintian overrides
  * Suggest python3:any for /usr/bin/routel

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Jan 2022 22:57:57 +0000

iproute2 (5.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.15.0'
  * Drop configure-restore-backward-compatibility.patch, merged upstream
  * Refresh patches to remove fuzz
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 23:08:14 +0000

iproute2 (5.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.14.0'
  * Bump Standards-Version to 4.6.0, no changes
  * Backport patch to fix configure breakage

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 11:44:35 +0100

iproute2 (5.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:07:08 +0100

iproute2 (5.13.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.13.0'
    (Closes: #991465)
  * Drop patches merged upstream
  * Install new dcb and vdpa tools

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Jul 2021 10:56:50 +0100

iproute2 (5.10.0-4) unstable; urgency=medium

  * Backport 0012-iproute-force-rtm_dst_len-to-32-128.patch to fix ip
    route get with netmask (Closes: #944730)
  * Add d/not-installed file
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Feb 2021 23:34:59 +0000

iproute2 (5.10.0-3) unstable; urgency=medium

  * Backport patches to fix ip vrf exec (Closes: #980046)

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 23:11:31 +0000

iproute2 (5.10.0-2) unstable; urgency=medium

  * Backport patches from iproute2-next to support libbpf
  * Add build-dependency on libbpf-dev
  * Remove duplicated lines from iproute2.lintian-overridess

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Dec 2020 15:16:36 +0000

iproute2 (5.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.10.0'
    (Closes: #972784, #949235)
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Dec 2020 22:47:37 +0000

iproute2 (5.9.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.9.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 19 Oct 2020 10:49:53 +0100

iproute2 (5.8.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.8.0'
  * Refresh 0001-Add-moo-feature.patch to remove fuzz from 5.8.0

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Aug 2020 13:54:32 +0100

iproute2 (5.7.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.7.0'
  * Add override for Lintian false positive in iproute2-doc

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 12:27:27 +0100

iproute2 (5.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.6.0'
  * Set hardening=+all to enable BindNow
  * Use https in d/watch
  * Switch to debhelper-compat 12
  * Fix Vc-Browser field, remove .git
  * Minimize d/upstream/signing-key.asc
  * Add Lintian overrides for false positives

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Apr 2020 10:03:30 +0100

iproute2 (5.5.0-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #949566)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Build-depend on libxtables-dev instead of iptables-dev. (Closes:
    #951089)
  * Update upstream source from tag 'upstream/5.5.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2020 10:51:46 +0000

iproute2 (5.4.0-1) unstable; urgency=medium

  * Fix Lintian Warning: spelling-error-in-changelog
  * Update upstream source from tag 'upstream/5.4.0'
  * iproute2-doc: upstream no longer ships examples

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2019 10:56:11 +0000

iproute2 (5.3.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Do not ship ifstat.8 manpage, as we do not ship the binary
  * Update upstream source from tag 'upstream/5.3.0'
  * Refresh patches for 5.3.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 27 Sep 2019 12:17:59 +0100

iproute2 (5.2.0-1) unstable; urgency=medium

  * Use /run/netns rather than /var/run/netns. Allows one to manage namespaces
    early at boot in case /var is on a different filesystem. (Closes:
    #929774)
  * Update upstream source from tag 'upstream/5.2.0'
  * Refresh 0004-sync-iptables-header.patch, most of it has been merged
    upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2019 20:52:47 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog iproute2`.
